pub(crate) use crate::types::common::IdentificationNationale;

use super::common::{
    Byte, CategorieCarteProfessionnelSante, CodeAgrement, CodeCivilite, CodeConventionnel,
    CodeSpecialite, CodeZoneIK, CodeZoneTarifaire, Identification, IdentificationFacturation,
    IdentificationStructure, ModeExercice, SecteurActivite, StatutExercice,
    TypeCarteProfessionnelSante,
};

pub(crate) struct CarteProfessionnelSante {
    type_carte: TypeCarteProfessionnelSante,
    categorie_carte: CategorieCarteProfessionnelSante,
    professionnel_sante: ProfessionnelDeSante,
}

struct ProfessionnelDeSante {
    prenom: String,
    nom: String,
    code_civilite: CodeCivilite,
    identification_nationale: Identification<IdentificationNationale>,
    situations_execice: Vec<SituationDExercice>,
}
struct StructureMedicale {
    /// Nom Entreprise
    raison_sociale: String, 
    identification: Identification<IdentificationStructure>,
}

struct SituationDExercice {
    /// Numéro identifiant la situation du PS parmi ses autres situations inscrites sur sa CPS
    identifiant_situation: Byte,
    mode_exercice: Option<ModeExercice>,
    statut_exercice: Option<StatutExercice>,
    secteur_activite: Option<SecteurActivite>,
    structure_d_exercice: Option<StructureMedicale>,
    identification_facturation: Identification<IdentificationFacturation>,
    identification_remplacant: Option<Identification<IdentificationNationale>>,
    code_conventionnel: CodeConventionnel,
    code_specialite: CodeSpecialite,
    code_zone_tarifaire: CodeZoneTarifaire,
    code_zone_ik: CodeZoneIK,
    code_agrement: CodeAgrement,
    habilite_signature_facture: bool,
    habilite_signature_lot: bool,
}
