pub struct Identification<T> {
    value: T,
    // Key to check the validity of the value
    // TODO: implement checking algorithm
    key: u8,
}

pub type Byte = u8;

pub(crate) enum IdentificationNationale {
    NumeroAdeli(String),
    NumeroEmployeeDansStructure(IdentificationStructure, String),
    NumeroDRASS(String),
    NumeroRPPS(String),
    /// N° Etudiant Médecin type ADELI sur 9 caractères (information transmise par l’ANS)
    NumeroEtudiantMedecin(String),
}

pub(crate) enum TypeCarteProfessionnelSante {
    /// Carte de Professionnel de Santé (CPS)
    CarteDeProfessionnelSante,
    /// Carte de Professionnel de Santé en Formation (CPF)
    CarteDeProfessionnelSanteEnFormation,
    /// Carte de Personnel d'Établissement de Santé (CDE/CPE)
    CarteDePersonnelEtablissementSante,
    /// Carte de Personnel Autorisé (CDA/CPA)
    CarteDePersonnelAutorise,
    /// Carte de Personne Morale
    CarteDePersonneMorale,
}

pub(crate) enum CategorieCarteProfessionnelSante {
    Reelle,
    Test,
    Demonstration,
}

pub(crate) enum CodeCivilite {
    Adjudant,
    Amiral,
    Aspirant,
    Aumônier,
    Capitaine,
    Cardinal,
    Chanoine,
    Colonel,
    Commandant,
    Commissaire,
    Conseiller,
    Directeur,
    Docteur,
    Douanier,
    Epouxse, // Epoux(se)
    Evêque,
    Général,
    Gouverneur,
    Ingénieur,
    Inspecteur,
    Lieutenant,
    Madame,
    Mademoiselle,
    Maître,
    Maréchal,
    Médecin,
    Mesdames,
    Mesdemoiselles,
    Messieurs,
    Monseigneur,
    Monsieur,
    NotreDame,
    Pasteur,
    Préfet,
    Président,
    Professeur,
    Recteur,
    Sergent,
    SousPréfet,
    Technicien,
    Veuve,
}

pub(crate) enum IdentificationStructure {
    NumeroAdeliCabinet(String),
    NumeroFINESS(String),
    NumeroSIREN(String),
    NumeroSIRET(String),
    NumeroRPPSCabinet(String),
}

pub(crate) enum ModeExercice {
    LiberalExploitantCommercant, // Libéral, exploitant, commerçant
    Salarie,
    Remplacant,
    Benevole,
}

pub(crate) enum StatutExercice {
    // TAB-Statuts géré par l’ANS il faut trouver la donnee
    PLACEHOLDER(u8),
}

pub(crate) enum SecteurActivite {
    EtablissementPublicDeSanté,
    HopitauxMilitaires,
    EtablissementPrivePSPH, // Participant au Service Public Hospitalier
    EtablissementPriveNonPSPH,
    DispensaireDeSoins,
    AutresStructuresDeSoinsRelevantDuServiceDeSanteDesArmees,
    CabinetIndividuel,
    CabinetDeGroupe,
    ExerciceEnSociete,
    SecteurPrivePHTempsPlein,
    TransportSanitaire,
    EntrepriseDInterim,
    EtablissementDeSoinsEtPrevention,
    PreventionEtSoinsEnEntreprise,
    SanteScolaireEtUniversitaire,
    RecrutementEtGestionRH,
    PMIPlanificationFamiliale,
    EtablissementPourHandicapes,
    ComMarketingConsultingMedia,
    EtablissementPersonnesAgees,
    EtablissementAideaLaFamille,
    EtablissementDEnseignement,
    EtablissementsDeProtectionDeLEnfance,
    EtablissementsDHebergementEtDeReadaptation,
    Recherche,
    AssurancePrivee,
    OrganismeDeSecuriteSociale,
    MinistèreEtServicesDeconcentres,
    CollectivitesTerritoriales,
    AssociationsEtOrganitationsHumanitaire,
    LaboratoireDeBiologieMedicale,
    AutreEtablissementSanitaire,
    ProductionCommercialisationGrosBienMedicaux,
    CommerceDétailDeBiensMédicaux,
    PharmacieDOfficine,
    CentreDeDialyse,
    ParaPharmacie,
    AutreSecteurDActivité,
    SecteurNonDefini,
    CentreAntiCancer,
    CentreDeTransfusionSanguine,
    RépartitionDistribributionFabricationExploitationImportationMedicamentsEtDispositifsMédicaux,
    IncendiesEtSecours,
    EntreprisesIndustriellesEtTertiairesHorsIndustriesPharmaceutiques,
    EntiteDUnTOM,
    FabricationExploitationImportationMedicamentsEtDispositifsMedicaux,
}

pub(crate) type IdentificationFacturation = u32;
pub(crate) enum CodeConventionnel {
    NonConventionne,
    Conventionne,
    ConventionneAvecDepassement,
    ConventionneAvecHonorairesLibres,
}

/// Code spécialité ou Code spécialité de l'exécutant
pub(crate) enum CodeSpecialite {
    MedecineGenerale,
    AnesthesieReanimation,
    Cardiologie,
    ChirurgieGenerale,
    DermatologieEtVenerologie,
    Radiologie,
    GynecologieObstetrique,
    GastroEnterologieEtHepatologie,
    MedecineInterne,
    NeuroChirurgie,
    OtoRhinoLaryngologie,
    Pediatrie,
    Pneumologie,
    Rhumatologie,
    Ophtalmologie,
    ChirurgieUrologique,
    NeuroPsychiatrie,
    Stomatologie,
    ChirurgienDentiste,
    ReanimationMedicale,
    SageFemme,
    SpecialisteEnMedecineGeneraleAvecDiplome,
    SpecialisteEnMedecineGeneraleReconnuParLOrdre,
    Infirmier,
    Psychologue,
    MasseurKinesitherapeute,
    PedicurePodologue,
    Orthophoniste,
    Orthoptiste,
    LaboratoireDAnalysesMedicales,
    ReeducationReadaptationFonctionnelle,
    Neurologie,
    Psychiatrie,
    Geriatrie,
    Nephrologie,
    ChirurgieDentaireSpecialiteODF,
    AnatomoCytoPathologie,
    MedecinBiologiste,
    LaboratoirePolyvalent,
    LaboratoireDAnatomoCytoPathologique,
    ChirurgieOrthopediqueEtTraumatologie,
    EndocrinologieEtMetabolisme,
    ChirurgieInfantile,
    ChirurgieMaxilloFaciale,
    ChirurgieMaxilloFacialeEtStomatologie,
    ChirurgiePlastiqueReconstructriceEtEsthetique,
    ChirurgieThoraciqueEtCardioVasculaire,
    ChirurgieVasculaire,
    ChirurgieVisceraleEtDigestive,
    PharmacieDOfficine,
    PharmacieMutualiste,
    ChirurgienDentisteSpecialiteCO,
    ChirurgienDentisteSpecialiteMBD,
    PrestataireDeTypeSociete,
    PrestataireArtisan,
    PrestataireDeTypeAssociation,
    Orthesiste,
    Opticien,
    Audioprothesiste,
    ÉpithesisteOculariste,
    PodoOrthesiste,
    Orthoprothesiste,
    ChirurgieOrale,
    GynecologieMedicale,
    Hematologie,
    MedecineNucleaire,
    OncologieMedicale,
    OncologieRadiotherapique,
    PsychiatrieDeLEnfantEtDeLAdolescent,
    Radiotherapie,
    Obstetrique,
    GenetiqueMedicale,
    ObstetriqueEtGynecologieMedicale,
    SantePubliqueEtMedecineSociale,
    MedecineDesMaladiesInfectieusesEtTropicales,
    MedecineLegaleEtExpertisesMedicales,
    MedecineDUrgence,
    MedecineVasculaire,
    Allergologie,
    InfirmierExercantEnPratiquesAvancees, // IPA
}

/// Page 54 dictionnaires des donnees
/// donnees inutilises pour les pharmacies
pub(crate) enum CodeZoneTarifaire {}

pub(crate) enum CodeZoneIK {
    PasIndemniteKilometrique,
    IndemnitesKilometriquesPlaine,
    IndemnitesKilometriquesMontagne,
}

pub(crate) enum CodeAgrement {
    PasDAgrementRadio,
    /// Agrément D ou agrément DDASS
    AgrementDDASS,
    /// Agrément A, B, C, E et F
    AgrementABCEF,
    /// Agrément G, H et J
    AgrementGHJ,
    AgrementK,
    AgrementL,
    AgrementM,
}
